# IGListDisplayDelegate

    @protocol IGListDisplayDelegate <NSObject>

Implement this protocol to receive display events for an section controller when it is on screen.

- `-listAdapter:willDisplaySectionController:`

  Tells the delegate that the specified section controller is about to be displayed.

  #### Declaration

  Objective-C

      - (void)listAdapter:(nonnull IGListAdapter *)listAdapter
          willDisplaySectionController:
              (nonnull IGListSectionController<IGListSectionType> *)sectionController;

  #### Parameters

  `listAdapter` | The list adapter for the section controller.
  `sectionController` | The section controller about to be displayed.

- `-listAdapter:didEndDisplayingSectionController:`

  Tells the delegate that the specified section controller is no longer being displayed.

  #### Declaration

  Objective-C

      - (void)listAdapter:(nonnull IGListAdapter *)listAdapter
          didEndDisplayingSectionController:
              (nonnull IGListSectionController<IGListSectionType> *)sectionController;

  #### Parameters

  `listAdapter` | The list adapter for the section controller.
  `sectionController` | The section controller that is no longer displayed.

- `-listAdapter:willDisplaySectionController:cell:atIndex:`

  Tells the delegate that a cell in the specified list is about to be displayed.

  #### Declaration

  Objective-C

      - (void)listAdapter:(nonnull IGListAdapter *)listAdapter
          willDisplaySectionController:
              (nonnull IGListSectionController<IGListSectionType> *)sectionController
                                  cell:(nonnull UICollectionViewCell *)cell
                               atIndex:(NSInteger)index;

  #### Parameters

  `listAdapter` | The list adapter in which the cell will display.
  `sectionController` | The section controller that is displaying the cell.
  `cell` | The cell about to be displayed.
  `index` | The index of the cell in the section.

- `-listAdapter:didEndDisplayingSectionController:cell:atIndex:`

  Tells the delegate that a cell in the specified list is no longer being displayed.

  #### Declaration

  Objective-C

      - (void)listAdapter:(nonnull IGListAdapter *)listAdapter
          didEndDisplayingSectionController:
              (nonnull IGListSectionController<IGListSectionType> *)sectionController
                                       cell:(nonnull UICollectionViewCell *)cell
                                    atIndex:(NSInteger)index;

  #### Parameters

  `listAdapter` | The list adapter in which the cell was displayed.
  `sectionController` | The section controller that is no longer displaying the cell.
  `cell` | The cell that is no longer displayed.
  `index` | The index of the cell in the section.

© 2017 Instagram. All rights reserved. (Last updated: 2017-01-04)

Generated by jazzy ♪♫ v0.7.3, a Realm project.